=== debian/changelog ===
gwenview (4:23.08.5-0ubuntu7) oracular; urgency=medium

  * Merge with Debian unstable 4:23.04.2-2*. Remaining changes
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 May 2024 15:27:15 +0200

gwenview (4:23.08.5-0ubuntu6) oracular; urgency=medium

  * Rebuild against new libkimageannotator-qt5-0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 11 May 2024 15:04:31 +0200

gwenview (4:23.04.2-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 May 2024 14:58:32 -0400

gwenview (4:23.04.2-2~exp1) experimental; urgency=medium

  * Team upload.
  * debian/control: Use Qt5-specific libkcolorpicker and libkimageannotator
    library names.
  * debian/patches/0001-patch-kimageannotator-lookup.patch: Fix library
    detection with newer library versions.

 -- Boyuan Yang <byang@debian.org>  Fri, 26 Apr 2024 21:34:41 -0400

gwenview (4:23.08.5-0ubuntu5) noble; urgency=high

  * No change rebuild against libqt5core5t64, libqt5dbus5t64,
    libqt5gui5t64, libqt5printsupport5t64, libqt5widgets5t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:40:08 +0200

gwenview (4:23.08.5-0ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:56:10 +0000

gwenview (4:23.08.5-0ubuntu3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:33:21 +0000

gwenview (4:23.08.5-0ubuntu2) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:50:07 +0000

gwenview (4:23.08.5-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.5)

 -- Scarlett Moore <sgmoore@debian.org>  Thu, 22 Feb 2024 09:32:16 -0700
