## gwenview 24.08.1

=== debian/changelog ===
gwenview (4:24.08.1-0ubuntu2) oracular; urgency=medium

  * Restore building with raw image support.

 -- Rik Mills <rikmills@kde.org>  Sat, 14 Sep 2024 09:49:13 +0100

gwenview (4:24.08.1-0ubuntu1) oracular; urgency=medium

  * New upstream release (28.08.1)
  * Build without optional raw support until we have libkdcraw.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Sep 2024 14:06:43 +0100

gwenview (4:24.08.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 

 -- Scarlett Moore <sgmoore@debian.org>  Sat, 07 Sep 2024 02:48:37 -0700

gwenview (4:24.05.2-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release. (24.05.2)

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 26 Jul 2024 00:55:27 -0700
