=== lib/CMakeLists.txt ===
--- 
+++ 
@@ -157,7 +157,7 @@
     touch/touch_helper.cpp
     ${GV_JPEG_DIR}/transupp.c
     )
-if (kImageAnnotator_FOUND)
+if (kImageAnnotator-Qt6_FOUND)
     set(gwenviewlib_SRCS ${gwenviewlib_SRCS}
         annotate/annotatedialog.cpp
         annotate/annotateoperation.cpp
@@ -283,20 +283,20 @@
    Qt::Concurrent
    Qt::Svg
    Qt::PrintSupport
-   KF${QT_MAJOR_VERSION}::GuiAddons
-   KF${QT_MAJOR_VERSION}::ConfigGui
-   KF${QT_MAJOR_VERSION}::KIOCore
-   KF${QT_MAJOR_VERSION}::KIOWidgets
-   KF${QT_MAJOR_VERSION}::KIOFileWidgets
-   KF${QT_MAJOR_VERSION}::I18n
-   KF${QT_MAJOR_VERSION}::WindowSystem
-   KF${QT_MAJOR_VERSION}::IconThemes
-   KF${QT_MAJOR_VERSION}::XmlGui
+   KF6::GuiAddons
+   KF6::ConfigGui
+   KF6::KIOCore
+   KF6::KIOWidgets
+   KF6::KIOFileWidgets
+   KF6::I18n
+   KF6::WindowSystem
+   KF6::IconThemes
+   KF6::XmlGui
    LibExiv2::LibExiv2
    JPEG::JPEG
    PNG::PNG
     ${LCMS2_LIBRARIES}
-    Phonon::phonon4qt${QT_MAJOR_VERSION}
+    Phonon::phonon4qt6
     )
 if (QT_MAJOR_VERSION STREQUAL "6")
     target_link_libraries(gwenviewlib Qt6::OpenGLWidgets KF6::IconWidgets)
@@ -314,8 +314,10 @@
     target_link_libraries(gwenviewlib ${EXPAT_LIBRARIES})
 endif()
 
-if (KF${QT_MAJOR_VERSION}KDcraw_FOUND)
-    target_link_libraries(gwenviewlib KF${QT_MAJOR_VERSION}::KDcraw)
+if (KF5KDcraw_FOUND)
+    target_link_libraries(gwenviewlib KF5::KDcraw)
+elseif(KDcrawQt6_FOUND)
+    target_link_libraries(gwenviewlib KDcrawQt6)
 endif()
 
 if (HAVE_X11)
@@ -333,12 +335,12 @@
 
 if (GWENVIEW_SEMANTICINFO_BACKEND_BALOO)
     target_link_libraries(gwenviewlib
-        KF${QT_MAJOR_VERSION}::Baloo
-        KF${QT_MAJOR_VERSION}::FileMetaData
-        )
-endif()
-
-if(kImageAnnotator_FOUND)
+        KF6::Baloo
+        KF6::FileMetaData
+        )
+endif()
+
+if(kImageAnnotator-Qt6_FOUND)
     target_link_libraries(gwenviewlib kImageAnnotator::kImageAnnotator)
 endif()
