=== debian/control ===
Source: gwenview
Section: kde
Priority: optional
Uploaders: Sune Vuorela <sune@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-baloo-dev,
               kf6-extra-cmake-modules,
               kf6-kcolorscheme-dev,
               kf6-kdoctools-dev,
               kf6-kfilemetadata-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kio-dev,
               kf6-kitemmodels-dev,
               kf6-knotifications-dev,
               kf6-kparts-dev,
               kf6-kwindowsystem-dev,
               kf6-purpose-dev,
               libcfitsio-dev,
               libexiv2-dev,
               libjpeg-dev,
               libkdcraw-dev,
               libkimageannotator-qt6-dev,
               liblcms2-dev,
               libpng-dev,
               libtiff-dev,
               libwayland-dev,
               pkg-config,
               pkg-kde-tools-neon,
               plasma-activities-dev,
               qt6-base-dev,
               qt6-phonon-dev,
               qt6-svg-dev,
               qt6-wayland-dev,
               wayland-protocols
Standards-Version: 4.6.2
Homepage: http://www.kde.org/
Vcs-Git: https://invent.kde.org/neon/kde/gwenview.git
Vcs-Browser: https://invent.kde.org/neon/kde/gwenview
Maintainer: Neon CI <neon@kde.org>

Package: gwenview
Section: graphics
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kamera, kio-extras, qt6-image-formats-plugins
Description: image viewer
 Gwenview is an image viewer, ideal for browsing and displaying a collection of
 images.  It is capable of showing images in a full-screen slideshow view and
 making simple adjustments, such as rotating or cropping images.
 .
 This package is part of the KDE graphics module.
