=== debian/tests/control ===
Tests: testsuite
Depends: build-essential,
         dbus,
         kded5,
         kinit,
         kio-extras,
         plasma-workspace,
         xauth,
         xserver-xephyr,
         xvfb,
         @,
         @builddeps@
Restrictions: build-needed, needs-recommends
