## gwenview 24.12.0

=== debian/changelog ===
gwenview (4:24.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 21 Dec 2024 10:21:03 +0100

gwenview (4:24.08.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 06 Nov 2024 13:57:59 -0600

gwenview (4:24.08.1-2) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Add dependency to kimageformat6-plugins. (Closes: #1083124)
  * Tighten dependency on kio-extras.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 02 Oct 2024 09:01:27 +0200

gwenview (4:24.08.1-1) experimental; urgency=medium

  [ Debian Qt/KDE Maintainers ]
  * New upstream release. (24.05.2)

  [ Scarlett Moore ]
  * Add myself to uploaders.
  * Update dependencies according to cmake.

  [ Aurélien COUDERC ]
  * New upstream release (24.08.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.0, no change required.
  * Drop patch for kimageannotator lookup, not needed anymore.
  * Drop unused ${perl:Depends}.
  * Split documentation into its own package.
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 30 Sep 2024 17:39:14 +0200
